Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160575 - Digest::MD5 fails after install of FC4
Summary: Digest::MD5 fails after install of FC4
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 21:05 UTC by Flavio Cardone
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-17 15:40:19 UTC


Attachments (Terms of Use)

Description Flavio Cardone 2005-06-15 21:05:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
Installed FC4 over FC3. Many perl scripts fail with a similar message: 

[Wed Jun 15 22:56:35 2005] openwebmail.pl: Digest::MD5 object version 2.33 does not match bootstrap parameter 2.20 at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/DynaLoader.pm line 253.
[Wed Jun 15 22:56:35 2005] openwebmail.pl: Compilation failed in require at /var/www/cgi-bin/openwebmail/modules/tool.pl line 7.
[Wed Jun 15 22:56:35 2005] openwebmail.pl: BEGIN failed--compilation aborted at /var/www/cgi-bin/openwebmail/modules/tool.pl line 7.
Compilation failed in require at /var/www/cgi-bin/openwebmail/modules/filelock.pl line 12.

any clues?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install a script which uses Digest::MD5
2. run it
3.
  

Actual Results:  error above

Expected Results:  no error

Additional info:

Comment 1 Jose Pedro Oliveira 2005-06-15 22:28:16 UTC
The 2.20 reference looks suspicious. Only perl 5.8.0 shipped with Digest::MD5
v2.20. All recent 5.8 perls have version 2.33.

  Perl     Digest::MD5  
  5.008       2.20
  5.008001    2.27
  5.008002    2.30  
  5.008003    2.33
  5.008004    2.33
  5.008005    2.33
  5.008006    2.33
  5.008007    2.33

Can you post the result of the following commands?

   1) perl -e 'print join "\n", @INC'
   2) find /usr/lib/perl5/ -iname "md5*"



Comment 2 Flavio Cardone 2005-06-16 09:06:32 UTC
1)
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.6
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.5
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.4
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.3
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/5.8.6
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/5.8.5
/usr/lib/perl5/site_perl/5.8.6/5.8.4
/usr/lib/perl5/site_perl/5.8.6/5.8.3
/usr/lib/perl5/site_perl/5.8.6
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6
/usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl/5.8.4
/usr/lib/perl5/site_perl/5.8.3
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6
/usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl/5.8.4
/usr/lib/perl5/vendor_perl/5.8.3
/usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/5.8.6

2) 
/usr/lib/perl5/site_perl/5.8.3/i686-linux/auto/Digest/MD5
/usr/lib/perl5/site_perl/5.8.3/i686-linux/auto/Digest/MD5/MD5.so
/usr/lib/perl5/site_perl/5.8.3/i686-linux/auto/Digest/MD5/MD5.bs
/usr/lib/perl5/site_perl/5.8.3/CGI/Session/ID/MD5.pm
/usr/lib/perl5/site_perl/5.8.3/Digest/MD5.pm
/usr/lib/perl5/5.8.3/i686-linux/Digest/MD5.pm
/usr/lib/perl5/5.8.3/i686-linux/auto/Digest/MD5
/usr/lib/perl5/5.8.3/i686-linux/auto/Digest/MD5/MD5.so
/usr/lib/perl5/5.8.3/i686-linux/auto/Digest/MD5/MD5.bs
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/Digest/MD5.pm
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/auto/Digest/MD5
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/auto/Digest/MD5/MD5.so
/usr/lib/perl5/5.8.6/i386-linux-thread-multi/auto/Digest/MD5/MD5.bs

should I delete what I have in 5.8.3? Everything worked fine until FC4...

Comment 3 Jose Pedro Oliveira 2005-06-16 16:07:34 UTC
(In reply to comment #2)
> 1)
>
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.6/i386-linux-thread-multi
> /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.6
> /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/i386-linux-thread-multi
> /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.5
> /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.4
> /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi/5.8.3
> /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
> /usr/lib/perl5/site_perl/5.8.6/5.8.6/i386-linux-thread-multi
> /usr/lib/perl5/site_perl/5.8.6/5.8.6
> /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
> /usr/lib/perl5/site_perl/5.8.6/5.8.5
> /usr/lib/perl5/site_perl/5.8.6/5.8.4
> /usr/lib/perl5/site_perl/5.8.6/5.8.3
> /usr/lib/perl5/site_perl/5.8.6  (duplicated)

All the above directories shouldn't be in @INC.
The default include directories in  FC4 are:

   # rpm -q perl
   perl-5.8.6-15

  # perl -e 'print join "\n", @INC'
  /usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
  /usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
  /usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi
  /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi
  /usr/lib/perl5/site_perl/5.8.6
  /usr/lib/perl5/site_perl/5.8.5
  /usr/lib/perl5/site_perl/5.8.4
  /usr/lib/perl5/site_perl/5.8.3
  /usr/lib/perl5/site_perl
  /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
  /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
  /usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi
  /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi
  /usr/lib/perl5/vendor_perl/5.8.6
  /usr/lib/perl5/vendor_perl/5.8.5
  /usr/lib/perl5/vendor_perl/5.8.4
  /usr/lib/perl5/vendor_perl/5.8.3
  /usr/lib/perl5/vendor_perl
  /usr/lib/perl5/5.8.6/i386-linux-thread-multi
  /usr/lib/perl5/5.8.6


NOTE: Check the environment variables PERLLIB and PERL5LIB.

> 2) 
> /usr/lib/perl5/site_perl/5.8.3/i686-linux/auto/Digest/MD5
> /usr/lib/perl5/site_perl/5.8.3/i686-linux/auto/Digest/MD5/MD5.so
> /usr/lib/perl5/site_perl/5.8.3/i686-linux/auto/Digest/MD5/MD5.bs
> ...
> /usr/lib/perl5/site_perl/5.8.3/Digest/MD5.pm
> /usr/lib/perl5/5.8.3/i686-linux/Digest/MD5.pm
> /usr/lib/perl5/5.8.3/i686-linux/auto/Digest/MD5
> /usr/lib/perl5/5.8.3/i686-linux/auto/Digest/MD5/MD5.so
> /usr/lib/perl5/5.8.3/i686-linux/auto/Digest/MD5/MD5.bs
> ...

It seems you didn't had a Fedora perl 5.8.3 rpm installed as
the 5.8.3 directories should have been something like 
  /usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi/auto
  /usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto
and not "i686-linux". 


> should I delete what I have in 5.8.3? Everything worked fine until FC4...

Yes. You can try removing them.


Comment 4 Flavio Cardone 2005-06-17 07:45:47 UTC
Deleted the 5.8.6/i-686 directories and all the references I had to MD5 in 5.8.3
and everything is OK. Thanks.

Comment 5 Jose Pedro Oliveira 2005-06-17 15:40:19 UTC
Closing this ticket.
Not a FC-4 perl problem.


Note You need to log in before you can comment on or make changes to this bug.